PingAuthorize API Reference

Update Trust Framework Definition (ID)

PUT {{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}

The PUT /trust-framework/{{definitionId}} request updates the state of the definition specified by the id in the request URL. The request must provide either a branch ID or a snapshot ID in the request URL.

Prerequisites

Query parameters
Query parameter Description

branch

Branch ID or name

snapshot

Snapshot ID

Request Model

For property descriptions, refer to Authorization Trust Framework definition data model.

Property Type? Required?

version

String

Required

type

Object

Required

name

String

Required

fullName

Object

Required

description

String

Required

processor

Object

Required

parentId

String

Required

numberOfChildren

String

Required

permissions

Object

Required

properties

Object

Required

Headers

Content-Type      application/json

x-user-id      {{userId}}

Body

raw ( application/json )

{
  "type": "domain",
  "name": "Test Definition2",
  "description": "New test definition"
}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff --request PUT '{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}' \
--header 'x-user-id: {{userId}}' \
--header 'Content-Type: application/json' \
--data '{
  "type": "domain",
  "name": "Test Definition2",
  "description": "New test definition"
}'
var options = new RestClientOptions("{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("x-user-id", "{{userId}}");
request.AddHeader("Content-Type", "application/json");
var body = @"{" + "\n" +
@"  ""type"": ""domain""," + "\n" +
@"  ""name"": ""Test Definition2""," + "\n" +
@"  ""description"": ""New test definition""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}"
  method := "PUT"

  payload := strings.NewReader(`{
  "type": "domain",
  "name": "Test Definition2",
  "description": "New test definition"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
PUT /trust-framework/{{definitionId}}?branch={{branchId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
Content-Type: application/json

{
  "type": "domain",
  "name": "Test Definition2",
  "description": "New test definition"
}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n  \"type\": \"domain\",\n  \"name\": \"Test Definition2\",\n  \"description\": \"New test definition\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}")
  .method("PUT", body)
  .addHeader("x-user-id", "{{userId}}")
  .addHeader("Content-Type", "application/json")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}",
    "Content-Type": "application/json"
  },
  "data": JSON.stringify({
    "type": "domain",
    "name": "Test Definition2",
    "description": "New test definition"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}',
  'headers': {
    'x-user-id': '{{userId}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "type": "domain",
    "name": "Test Definition2",
    "description": "New test definition"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests
import json

url = "{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}"

payload = json.dumps({
  "type": "domain",
  "name": "Test Definition2",
  "description": "New test definition"
})
headers = {
  'x-user-id': '{{userId}}',
  'Content-Type': 'application/json'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}',
  'Content-Type' => 'application/json'
));
$request->setBody('{\n  "type": "domain",\n  "name": "Test Definition2",\n  "description": "New test definition"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["x-user-id"] = "{{userId}}"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
  "type": "domain",
  "name": "Test Definition2",
  "description": "New test definition"
})

response = http.request(request)
puts response.read_body
let parameters = "{\n  \"type\": \"domain\",\n  \"name\": \"Test Definition2\",\n  \"description\": \"New test definition\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/trust-framework/{{definitionId}}?branch={{branchId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")
request.addValue("application/json", forHTTPHeaderField: "Content-Type")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

201 Created

{
    "objectType": "AttributeDefinition",
    "id": "50a34c29-18ba-4a44-9b9b-8034af78f6fe",
    "version": "592a4121-26eb-4826-9e3b-6f6842f38f02",
    "type": "ATTRIBUTE",
    "name": "Test Child Definition2",
    "fullName": "Test Definition2.Test Child Definition2",
    "description": "New test child definition",
    "parentId": "68340a65-1a25-43d4-97bb-097b954828ad",
    "numberOfChildren": 0,
    "valueType": "STRING",
    "defaultValue": null,
    "repetitionSource": null,
    "cacheConfig": {
        "timeToLive": 0,
        "scopeAttributeId": null,
        "strategy": "NO_CACHING"
    },
    "secret": false,
    "permissions": {
        "inherit": true,
        "rolePermissions": []
    },
    "resolvers": [],
    "querySettings": null,
    "valueProcessor": null,
    "properties": []
}